Bug 839020 - (CVE-2012-3403) CVE-2012-3403 gimp (CEL plug-in): heap buffer overflow when loading external palette files
CVE-2012-3403 gimp (CEL plug-in): heap buffer overflow when loading external ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120820,repor...
: Security
Depends On: 714127 714128 840067 840068 849637
Blocks: 714114
  Show dependency treegraph
 
Reported: 2012-07-10 13:28 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-26 14:22:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated patchsets for all gimp branches (including rhel5) (6.84 KB, application/x-bzip)
2012-07-17 09:40 EDT, Nils Philippsen
no flags Details

  None (edit)
Description Jan Lieskovsky 2012-07-10 13:28:10 EDT
A heap-based buffer overflow flaw, leading to invalid free, was found in the way KISS CEL file format plug-in of Gimp, the GNU Image Manipulation Program, performed loading of certain palette files. A remote attacker could provide a specially-crafted KISS palette file that, when opened in Gimp would cause the CEL plug-in to crash or, potentially, execute arbitrary code with the privileges of the user running the gimp executable.

Issue found by: Murray McAllister, Red Hat Security Response Team
Comment 5 Jan Lieskovsky 2012-07-11 11:53:31 EDT
The CVE identifier of CVE-2012-3403 has been assigned to this issue.
Comment 19 Nils Philippsen 2012-07-17 09:40:24 EDT
Created attachment 598634 [details]
updated patchsets for all gimp branches (including rhel5)
Comment 22 Jan Lieskovsky 2012-08-20 08:17:28 EDT
Created gimp tracking bugs for this issue

Affects: fedora-all [bug 849637]
Comment 23 errata-xmlrpc 2012-08-20 09:34:33 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1180 https://rhn.redhat.com/errata/RHSA-2012-1180.html
Comment 24 errata-xmlrpc 2012-08-20 09:45:15 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1181 https://rhn.redhat.com/errata/RHSA-2012-1181.html
Comment 25 Fedora Update System 2012-08-28 19:28:41 EDT
gimp-2.8.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2012-09-01 20:25:28 EDT
gimp-2.6.12-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2012-09-17 19:09:45 EDT
gimp-2.8.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.